Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff3
Interface GFF3Record

All Superinterfaces:
  Annotatable, Changeable

All Known Implementing Classes:
  GFF3Record.Impl

    public interface GFF3Record

extends Annotatable

A record in a GFF3 formatted file.

Author:
  Matthew Pocock

Nested Class Summary
`static class` | `GFF3Record.Impl`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`int` | `getEnd()`
`int` | `getPhase()`
`double` | `getScore()`
`String` | `getSequenceID()`
`Term` | `getSource()`
`int` | `getStart()`
`StrandedFeature.Strand` | `getStrand()`
`Term` | `getType()`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getSequenceID

    String getSequenceID()

### getSource

    Term getSource()

### getType

    Term getType()

### getStart

    int getStart()

### getEnd

    int getEnd()

### getScore

    double getScore()

### getStrand

    StrandedFeature.Strand getStrand()

### getPhase

    int getPhase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD